<ng-container *subscribe="declineIndicatorMutation.result$ as indicator">
  <ngx-loading [show]="indicator.isLoading" />
</ng-container>

<ng-container *ngIf="vm$() as vm">
  <jds-bi-modal
    id="e-walidata-modal-fill-decline"
    #modal
    [position]="'center'"
    size="xl"
  >
    <ng-container ngProjectAs="header">
      <h6>Tolak Uraian</h6>
      <button
        class="t-button-close"
        (click)="closeModal()"
        role="button"
        type="button"
      >
        <jds-bi-icon
          [size]="14"
          name="xmark"
        />
      </button>
    </ng-container>
    <ng-container ngProjectAs="body">
      <form
        class="form"
        #eWalidataFillDeclineForm="ngForm"
        [formGroup]="formGroup"
        (ngSubmit)="onSubmit()"
        (keydown.enter)="$event.stopPropagation()"
      >
        <jds-bi-scrollbar [ngClass]="[jds.maxH(500)]">
          <div
            *ngFor="let dbf of fdbf.controls; let i = index"
            [ngClass]="[jds.mb(8)]"
          >
            <ng-container [formGroup]="dbf">
              <jds-bi-accordion
                #acc="jdsBiAccordion"
                [ngClass]="['accordion-e-walidata-fill-decline']"
                [destroyOnHide]="false"
                [closeOthers]="true"
                [activeIds]="[]"
                [colorScheme]="colorScheme"
              >
                <jds-bi-panel [id]="i">
                  <ng-template
                    jdsBiPanelHeader
                    let-opened="opened"
                  >
                    <div
                      [ngClass]="[
                        't-accordion-button',
                        jds.justifyContent('between')
                      ]"
                      [class.t-collapsed]="!opened"
                    >
                      <div
                        [ngClass]="[
                          jds.w('full'),
                          jds.d('flex'),
                          jds.alignItems('center'),
                          jds.justifyContent('between'),
                          jds.me(16)
                        ]"
                      >
                        {{ dbf.controls['name'].value }}
                      </div>

                      <!-- Collapse -->
                      <button
                        [colorScheme]="opened ? colorScheme : 'gray'"
                        [variant]="'link'"
                        jdsBiButton
                        jdsBiPanelToggle
                      >
                        <jds-bi-icon
                          [ngClass]="['icon-chevron']"
                          [size]="14"
                          name="chevron-down"
                        />
                      </button>
                    </div>
                  </ng-template>

                  <ng-template jdsBiPanelContent>
                    <div [ngClass]="[jds.pt(8), jds.px(16), jds.pb(16)]">
                      <div
                        [ngClass]="[jds.d('flex'), jds.gap(8), jds.w('full')]"
                      >
                        <div [style.width.%]="35">
                          <label [ngClass]="jds.formLabel"> Uraian </label>
                        </div>
                        <div [style.width.%]="20">
                          <label [ngClass]="jds.formLabel"> Tindakan </label>
                        </div>
                        <div [style.width.%]="45">
                          <label [ngClass]="jds.formLabel"> Alasan </label>
                        </div>
                      </div>

                      <div
                        *ngFor="
                          let di of dbf.controls['indicator'].controls;
                          let j = index
                        "
                        [ngClass]="[
                          jds.card,
                          jds.mb(8),
                          di.controls['checked'].value ? jds.bg('#F4F8FB') : '',

                          di.controls['checked'].value
                            ? jds.borderColor(jdsBiColor.blue['200'])
                            : ''
                        ]"
                      >
                        <ng-container [formGroup]="di">
                          <div [ngClass]="[jds.cardBody, jds.p(16)]">
                            <div
                              [ngClass]="[
                                jds.d('flex'),
                                jds.gap(8),
                                jds.w('full')
                              ]"
                            >
                              <div
                                [ngClass]="[jds.d('flex')]"
                                [style.width.%]="35"
                              >
                                <div [ngClass]="[jds.formCheck]">
                                  <input
                                    id="checkbox-indicator-{{ j }}"
                                    [ngClass]="[jds.formCheckInput]"
                                    (change)="
                                      onSelected($event.target.checked, i, j)
                                    "
                                    type="checkbox"
                                    formControlName="checked"
                                  />
                                </div>

                                <div>
                                  <div [ngClass]="[jds.fw('bold')]">
                                    {{ di.controls['code'].value }}
                                  </div>
                                  <div>
                                    {{ di.controls['name'].value }}
                                  </div>
                                </div>
                              </div>
                              <div [style.width.%]="20">
                                <div
                                  *ngrxLet="di.controls['action']; let diAction"
                                >
                                  <ng-select
                                    #actionSelect
                                    [ngClass]="[
                                      'select-e-walidata-fill-decline'
                                    ]"
                                    [items]="statusAssignment"
                                    bindValue="value"
                                    bindLabel="label"
                                    placeholder="Pilih"
                                    formControlName="action"
                                  />
                                  <ng-container
                                    *ngIf="
                                      diAction?.invalid &&
                                      (diAction?.dirty || diAction?.touched)
                                    "
                                  >
                                    <div
                                      *ngIf="diAction?.errors.required"
                                      [ngClass]="[
                                        jds.formText,
                                        jds.text('danger')
                                      ]"
                                    >
                                      Harus diisi
                                    </div>
                                  </ng-container>
                                </div>
                              </div>
                              <div [style.width.%]="45">
                                <div *ngrxLet="di.controls['note']; let diNote">
                                  <textarea
                                    [colorScheme]="colorScheme"
                                    jdsBiInput
                                    placeholder="Tuliskan alasan (maksimal 50 karakter)"
                                    rows="4"
                                    formControlName="note"
                                  ></textarea>
                                  <ng-container
                                    *ngIf="
                                      diNote?.invalid &&
                                      (diNote?.dirty || diNote?.touched)
                                    "
                                  >
                                    <div
                                      *ngIf="diNote?.errors.required"
                                      [ngClass]="[
                                        jds.formText,
                                        jds.text('danger')
                                      ]"
                                    >
                                      Harus diisi
                                    </div>
                                  </ng-container>
                                </div>
                              </div>
                            </div>
                          </div>
                        </ng-container>
                      </div>
                    </div>
                  </ng-template>
                </jds-bi-panel>
              </jds-bi-accordion>
            </ng-container>
          </div>
        </jds-bi-scrollbar>
      </form>
    </ng-container>
    <ng-container ngProjectAs="footer">
      <div [ngClass]="[jds.d('flex'), jds.gap(8)]">
        <button
          [colorScheme]="'gray'"
          [variant]="'outline'"
          (click)="closeModal()"
          jdsBiButton
          type="button"
        >
          Batal
        </button>
        <button
          [colorScheme]="colorScheme"
          [disabled]="!eWalidataFillDeclineForm.valid"
          (click)="eWalidataFillDeclineForm.ngSubmit.emit('Save')"
          jdsBiButton
          type="submit"
        >
          Kirim
        </button>
      </div>
    </ng-container>
  </jds-bi-modal>
</ng-container>
